Resource Center/VMware Management/vCenter Operations
POSTvCenter OperationsSince 0.6SynchronousAuth Required
AddVCenter
AddVCenter
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Request Inputs
Body Fields
paramsObjectRequiredRequest body parameter object.
usernameStringRequiredThe user name used to log in to the vCenter.
passwordStringRequiredThe password used to log in to the vCenter.
zoneUuidStringRequiredThe UUID of the zone to which the vCenter is added.
nameStringRequiredThe name of the vCenter.
httpsbooleanOptional. Whether to enable HTTPS login. By default, HTTPS login is enabled.
domainNameStringRequiredThe domain name of the vCenter.
descriptionStringOptional. The detailed description of the vCenter.
resourceUuidStringOptional. The vCenter UUID. If specified, the VM instance will use the specified value as the UUID.
portIntegerOptional.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
POST/zstack/v1/vcenters
/zstack/v1/vcenters
Request Example
curl -X POST 'http://{host}/zstack/v1/vcenters' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"username":"<username>","password":"<password>","zoneUuid":"<zoneUuid>","name":"<name>","https":true,"domainName":"<domainName>","description":"<description>","resourceUuid":"<resourceUuid>","port":1},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "1497ae9206ea3f82bb13c34c307299b9", "name": "vc1", "domainName": "vsphere-local.net", "userName": "admin@vsphere-local.net", "https": true, "state": "Enabled", "status": "Connected" }, "skippedResources": { "vmInstances": [ { "uuid": "example", "name": "exampleVm" } ] } }Change History
This API has no change history records yet.
